package org.jeecg.modules.system.app.enums;

import org.jeecg.common.system.annotation.EnumDict;

/**
 * 回复状态枚举
 */
@EnumDict("ReplyStatus")
public enum ReplyStatusEnum {
//   0-投诉吐槽；1-功能异常；2-用户体验；3-功能建议；4-其他
    NO_REPLY(0, "未回复"),
    REPLIED(1, "已回复"),
    ;

    Integer code;
    String name;
    ReplyStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
    public static ReplyStatusEnum getByCode(Integer code) {
        for (ReplyStatusEnum value : values()) {
            if (value.code.equals(code) ) {
                return value;
            }
        }
        return null;
    }
}
